#!/usr/bin/env Rscript --vanilla

argv <- commandArgs(TRUE)
print( paste( "# Running significance with arguments: [", paste( argv, collapse = ", " ), "] #", sep = " " ) )

## Load one csv file
data <- read.csv( argv[1] )
# data <- read.csv("Ind_architecture_TU_02_result_melt.csv")

print( "## summary ##" )
summary(data)
attach(data)

## ANOVA
print( "## ANOVA of variance ##" )
# print(factor(neatener))
# A <- aov(score~factor(neatener), data = data)
A <- aov(score~factor(neatener), data = data)
summary(A)

## Tukey's honest significant difference test
print( "## Tukey's honest significant difference test ##" )
library(agricolae)
out <- HSD.test( A, "factor(neatener)", group=TRUE, console=TRUE )
